.macCard {
    width: 20rem;
    height: 30rem;
    margin: 1rem auto;
    perspective: 1000px;
    cursor: pointer;
}

.card-inner {
    position: relative;
    width: 100%;
    height: 100%;
    transition: transform 0.6s;
    transform-style: preserve-3d;
}

.macCard:hover .card-inner {
    transform: rotateY(180deg);
}

.card-front,
.card-back {
    position: absolute;
    width: 20rem;
    height: 30rem;
    backface-visibility: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 0.5rem;
}

.card-front {
    display: flex;
    flex-direction: column;
}

.card-back {
    background: #E96A5F;
    color: white;
    transform: rotateY(180deg);
}